matrix_to_quat(3)

NAME
matrix_to_quat - Constructs a quaternion from a rotation matrix. Allegro game programming library.

SYNOPSIS
#include <allegro.h>

void matrix_to_quat(const MATRIX_f *m, QUAT *q);

DESCRIPTION
Constructs a quaternion from a rotation matrix. Translation is discarded during the conversion. Use get_align_matrix_f() if the matrix is not orthonormalized, because strange things may happen otherwise.